%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Summary: 	PEAR: API to build and query nested sets
Name: 		php-pear-DB-NestedSet
Version: 	1.3.6
Release: 	1%{?dist}
License: 	PHP License
Group: 		Development/Libraries
Source0: 	http://pear.php.net/get/DB_NestedSet-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: 		http://pear.php.net/package/DB_NestedSet
BuildRequires: 	php-pear(PEAR)
Requires: 	php-pear(PEAR)
Provides: 	php-pear(DB_NestedSet) = %{version}
BuildArchitectures: noarch

%description
DB_NestedSet let's you create trees with infinite depth
inside a relational database.
The package provides a way to
o create/update/delete nodes
o query nodes, trees and subtrees
o copy (clone) nodes, trees and subtrees
o move nodes, trees and subtrees
o Works with PEAR::DB, PEAR::MDB, PEAR::MDB2
o output the tree with
  - PEAR::HTML_TreeMenu
  - TigraMenu (http://www.softcomplex.com/products/tigra_menu/)
  - CoolMenus (http://www.dhtmlcentral.com/projects/coolmenus/)
  - PEAR::Image_GraphViz (http://pear.php.net/package/Image_GraphViz)
  - PEAR::HTML_Menu


%prep
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm -f pearrc
rm -f %{buildroot}/%{peardir}/.filemap
rm -f %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm -rf %{buildroot}%{peardir}/.depdb*

# Sort out documentation
mv %{buildroot}/docs/DB_NestedSet/* .
rm -rf %{buildroot}/docs

# Install XML package description
mkdir -p %{buildroot}%{_libdir}/php/pear
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{_libdir}/php/pear/DB_NestedSet.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{_libdir}/php/pear/DB_NestedSet.xml >/dev/null

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only DB_NestedSet >/dev/null
fi

%files
%defattr(-,root,root)
%doc  docs/README docs/mysql.sql docs/migrateDB.txt docs/testdb_mysql.sql docs/TreeMenu_example.php docs/TigraMenu_example.php docs/CoolMenu_example.php docs/Menu_example.php docs/GraphViz_example.php
%{peardir}/DB/NestedSet
%{peardir}/DB/NestedSet.php
%{peardir}/tests/DB_NestedSet
%{_libdir}/php/pear/DB_NestedSet.xml

%changelog
* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 1.9.3-1.fc{3,4,5}.remi
- initial RPM
